import { AnnotatedMark } from "../types";
export declare class ParserMatches implements IterableIterator<[string, AnnotatedMark | null]> {
    raw: string;
    uniRegExp: RegExp;
    done: boolean;
    constructor(raw: string, uniRegExp: RegExp);
    [Symbol.iterator](): IterableIterator<[string, AnnotatedMark | null]>;
    next(): IteratorResult<[string, AnnotatedMark | null], [string, AnnotatedMark | null] | null>;
    extractPieces(execArray: RegExpExecArray): [string, AnnotatedMark, string];
    extractMark(execArray: RegExpExecArray): AnnotatedMark;
}
//# sourceMappingURL=ParserMatches.d.ts.map