import { EventName, OptionType } from "./types";
export declare enum KEY {
    UP = "ArrowUp",
    DOWN = "ArrowDown",
    LEFT = "ArrowLeft",
    RIGHT = "ArrowRight",
    END = "End",
    HOME = "Home",
    PAGE_DOWN = "PageDown",
    PAGE_UP = "PageUp",
    ENTER = "Enter",
    TAB = "Tab",
    SPACE = " ",
    BACKSPACE = "Backspace",
    DELETE = "Delete",
    COMMA = ",",
    ESC = "Escape"
}
export declare enum PLACEHOLDER {
    LABEL = "__label__",
    VALUE = "__value__"
}
export declare const EmptyFunc: () => void;
export declare const DefaultClass = "mk-input";
export declare const DefaultOptionProps: OptionType;
export declare const PredefinedEvents: EventName[];
export declare const wordRegex: RegExp;
//# sourceMappingURL=constants.d.ts.map