export declare class Caret {
    static get isSelectedPosition(): boolean | undefined;
    static getCurrentPosition(): number;
    static getFocusedSpan(): string;
    static getSelectedNode(): Node;
    static getAbsolutePosition(): {
        left: number;
        top: number;
    };
    static trySetIndex(element: HTMLElement, offset: number): void;
    static setIndex(element: HTMLElement, offset: number): void;
    static getCaretIndex(element: HTMLElement): number;
    static setCaretToEnd(element: HTMLElement | null | undefined): void;
    static getIndex(): number;
    static setIndex1(offset: number): void;
    setCaretRightTo(element: HTMLElement, offset: number): void;
}
//# sourceMappingURL=Caret.d.ts.map